regina::detail::XMLTriangulationTags< dim > Struct Template Reference
Implementation details

Internal class that indicates the XML tags and attributes used to describe top-dimensional simplices in a dim-dimensional triangulation. More...

`#include <triangulation/detail/xmltrireader.h>`

## Static Public Member Functions

static constexpr const char * | simplices ()
| The XML tag that stores the set of all top-dimensional simplices for a dim-dimensional triangulation. More...
static constexpr const char * | simplex ()
| The XML tag that stores a single top-dimensional simplex in a dim-dimensional triangulation. More...
static constexpr const char * | size ()
| The XML attribute that stores the number of top-dimensional simplices in a dim-dimensional triangulation. More...

## Detailed Description

### template<int dim>
struct regina::detail::XMLTriangulationTags< dim >

Internal class that indicates the XML tags and attributes used to describe top-dimensional simplices in a dim-dimensional triangulation.

Python:
  Not present.

Template Parameters

  dim | The dimension of the triangulation in question.

## Member Function Documentation

## simplex()

template<int dim>

static constexpr const char* regina::detail::XMLTriangulationTags< dim >::simplex | ( |  | ) |

static

The XML tag that stores a single top-dimensional simplex in a dim-dimensional triangulation.

## simplices()

template<int dim>

static constexpr const char* regina::detail::XMLTriangulationTags< dim >::simplices | ( |  | ) |

static

The XML tag that stores the set of all top-dimensional simplices for a dim-dimensional triangulation.

## size()

template<int dim>

static constexpr const char* regina::detail::XMLTriangulationTags< dim >::size | ( |  | ) |

static

The XML attribute that stores the number of top-dimensional simplices in a dim-dimensional triangulation.

The documentation for this struct was generated from the following file:

- triangulation/detail/xmltrireader.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).